#ifndef RIGIDBODYTRANSFORMATION_H
#define RIGIDBODYTRANSFORMATION_H

#include <QQuaternion>
#include <primitive.h>

class RigidBodyTransformation
{
public:
    RigidBodyTransformation(Primitive* child);

    void setTranslation(double x, double y, double z);
    void addTranslation(QVector3D diff);
    void setRotation(QQuaternion newRotation);
    void addRotation(QQuaternion diff);
    QQuaternion getRotation();

    void drawChild();

private :
    //translation
    double tx, ty, tz;
    //rotation
    QQuaternion rotation;

    //child in scene graph
    Primitive* child;
};

#endif // RIGIDBODYTRANSFORMATION_H
